<?php

namespace Teknisa\CMP\Modules\V1\Controllers; 

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;


class PeriodicidadeController extends \Teknisa\GER\Modules\V1\Controllers\TeknisaCrud{

    protected $dataSourceName = "periodicidade";
    protected $parameterBagColumns = array (
        "DTPROGENTR",
        "CDPRODUTO"
    );

    public function find(DTO\Request\Filter $request, DTO\Response $response)
    {
        $this->parameterBag->set('CDFILIAL', $this->environment->getCdFilial());
        $this->parameterBag->set('NRORG', $this->environment->getNrOrg());
        parent::find($request, $response);
    }

} 